package com.prolog.cs.biz.outbound.model.print;

import com.prolog.framework.bz.common.print.PrintData;
import lombok.Data;

@Data
public class PrintDataWithMark extends PrintData{
    private String dataMark;

    public PrintDataWithMark(PrintData printData, String dataMark) {
        this.setPrintSolution(printData.getPrintSolution());
        this.setUrl(printData.getUrl());
        this.setPreview(printData.isPreview());
        this.setCount(printData.getCount());
        this.setPrintName(printData.getPrintName());
        this.setTempType(printData.getTempType());
        this.setData(printData.getData());
        this.dataMark = dataMark;
    }
}
